<apex:page standardcontroller="Work_Order_Activity__c" extensions="VTT_TradesmanAssignmentControllerX" docType="html-5.0" cache="true" >
     <apex:outputPanel id="scriptPanel">
        <script>
         function doSfOneNavigation(id, page, idName){
            var url;
            
            if(idName && id){
                if( typeof sforce != "undefined" && sforce && sforce.one ) {
                    url = page + '&'+idName+'=' + id;
                } else {
                    url = page + '?'+idName+'=' + id;
                } 
            } else {
                url = page;
            }
            
            if( typeof sforce != "undefined" && sforce && sforce.one ) {
                sforce.one.navigateToURL(url);
            } else{
                window.location = url;
            }
        }

        function goBack(){
            if( typeof sforce != "undefined" && sforce && sforce.one ) {
                sforce.one.back();
            } else {
                window.history.back();
            }
        }
        </script>
    </apex:outputPanel>
  <apex:sectionHeader title="Activity Tracking" subtitle="Tradesman Assignment"/>
    <apex:pageMessages id="errors" escape="false" />

    <apex:form id="formID">
    	<apex:inputHidden value="{!Work_Order_Activity__c.Assigned_Vendor__c }" /> 
        <apex:inputHidden value="{!Work_Order_Activity__c.Status__c }"/>        

		<apex:pageBlock >
			<apex:actionRegion >
			<apex:outputLabel for="accountList" value="Assigned Vendor:" styleClass="labelCol"/>
            <apex:selectList id="accountList" value="{!assignedVendor}" size="1" label="Vendors:" 
            disabled="{!assignedVendorDisabled}">
                <apex:selectOptions value="{!vendorAccounts}"/>
				<apex:actionSupport event="onchange" reRender="MultiselectPicklist" action="{!TradesmanAssignmentSetup}"/>                
            </apex:selectList>
			</apex:actionRegion>		
<!-- 		</apex:pageBlock>
        <apex:pageBlock> -->
            <apex:outputPanel id="MultiselectPicklist">
            <c:FM_MultiselectPicklist leftLabel="Available Tradesmen"
                leftOptionsParam="{!allTradesmen}"
                rightLabel="Selected Tradesmen"
                rightOptionsParam="{!selectedTradesmen}"
                size="14"
                width="200px"/>
            </apex:outputPanel>

            <apex:pageBlockButtons >
                <apex:commandButton value="Save" rendered="{!!isSalesforce1}" action="{!UpdateAssignment}"/>
                <apex:commandButton value="Save" rendered="{!isSalesforce1}" action="{!UpdateAssignment}" 
                oncomplete="doSfOneNavigation('{!woId}', '{!URLFOR($Site.Prefix + '/apex/VTT_ActivityDetailTimeLog')}', 'id');"/>
                <!-- Exit from the form and redirect to the list for standard vf page-->
                <apex:commandButton rendered="{!!isSalesforce1}" action="{!ExitAssignment}" value="Cancel"/> 
                <!-- Exit from the form and redirect to the list - sf1 navigation -->
                <apex:commandButton rendered="{!isSalesforce1}" onclick="goBack()" value="Cancel" rerender="formID"/> 
            </apex:pageBlockButtons>
        </apex:pageBlock>
    </apex:form>
    <!--<apex:outputText >{!message}</apex:outputText>-->
</apex:page>